<?php

namespace App\Providers;

use Carbon\Carbon;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot()
    {
        // Set locale Carbon secara global ke Indonesia
        Carbon::setLocale('id');

        // Opsional: Set timezone jika diperlukan
        date_default_timezone_set('Asia/Jakarta');
    }
}
